# 全局配置
#spring:
#  resources:
#    static-locations: file:www/,classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/
api.host: 127.0.0.1
jwt.secret: &jwtSecret "RyJwtSecret!@#"
uri:
  gaf: http://${api.host}:8001
  log: http://${api.host}:8108
  xms: http://${api.host}:9080

server:
  port: 7070

gaf.cache:
  verify:
    useRedis: false
    validity: 300s
  token:
    useRedis: false
    validity: 5h

gaf.web:
  spa:
    index-paths:
      - /admin/gaf
      - /admin
      - /demo
  access-filter:
    includes:
      - /mock
      -
# Spring配置
spring:
  profiles:
    active: local
    include: routes, auth, wxapi, druid
  # 处理springboot版本过高和swagger冲突的问题
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  # 最大上传文件大小
  codec:
    max-in-memory-size: 30MB
  thymeleaf:
    prefix: classpath:/templates/

# MyBatis配置
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 项目相关配置
ruoyi:
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: D:/ruoyi/uploadPath

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn
    com.cclotus: debug

---
spring:
  profiles: local

api.host: 172.17.116.7 #192.168.1.170
